Signatures
File Retrieve
Downloads a document using its URL.
- Use the documentURL parameter to specify the document link.
- The request returns the document as a binary stream (application/octet-stream). Response is NOT wrapped in the standard result envelope - raw binary is returned directly, always with Content-Type application/octet-stream even for PDFs.
AuthorizationBearer <token>
JWT token to authenticate the request.
In: header
X-Api-Key<token>
API key, sent as a request header.
In: header
Query Parameters
fileUrl*string
URL of the file to retrieve and return to the caller.
Format
uriResponse Body
application/octet-stream
application/json
application/json
curl -X GET "https://example.com/signatures/file/retrieve?fileUrl=http%3A%2F%2Fexample.com"Empty
{ "error": { "message": "Envelope not found.", "statusCode": 400, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "GET https://api.doctavian.com/v1/signatures/file/retrieve", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "dde1b7b0-dbe2-479d-a2ac-47cc61e98761", "operationId": "8d8bdd2fd7a2f7e93c872ca97555934f"}{ "error": { "message": "Envelope not found.", "statusCode": 500, "innerErrors": [ { "code": "ENVELOPE_ID_INVALID", "message": "Envelope not found.", "userMessage": "Envelope not found." } ] }, "origin": "GET https://api.doctavian.com/v1/signatures/file/retrieve", "dateTime": "2026-07-20T12:00:00.000Z", "userId": "6c0d23ca-58d6-4617-8549-947ac589a179", "operationId": "7a96d6584802eaa36120cb09255929e6"}